# pht\Thread::start

(PECL pht >= 0.0.1)

pht\Thread::start — Starts the new thread

### Description

public pht\Thread::start ( void ) : void

This will cause a new thread to be spawned for the associated pht\Thread object, where its internal task queue will begin to be processed.

### Parameters

This function has no parameters.

### Return Values

No return value.

### Examples

Example #1 Starting a new thread

`<?php
use pht\Thread;
$thread = new Thread();
$thread->start();
$thread->join();`